package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * TiposMovimientos generated by hbm2java
 */
@Entity
@Table(name="tipos_movimientos"
    ,catalog="sistema_ventas"
)
public class TiposMovimientos  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idtmov;
     private String tipo;
     private Set<Movimientos> movimientoses = new HashSet<Movimientos>(0);

    public TiposMovimientos() {
    }

	
    public TiposMovimientos(String tipo) {
        this.tipo = tipo;
    }
    public TiposMovimientos(String tipo, Set<Movimientos> movimientoses) {
       this.tipo = tipo;
       this.movimientoses = movimientoses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idtmov", unique=true, nullable=false)
    public Integer getIdtmov() {
        return this.idtmov;
    }
    
    public void setIdtmov(Integer idtmov) {
        this.idtmov = idtmov;
    }

    
    @Column(name="tipo", nullable=false, length=65535)
    public String getTipo() {
        return this.tipo;
    }
    
    public void setTipo(String tipo) {
        this.tipo = tipo;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="tiposMovimientos")
    public Set<Movimientos> getMovimientoses() {
        return this.movimientoses;
    }
    
    public void setMovimientoses(Set<Movimientos> movimientoses) {
        this.movimientoses = movimientoses;
    }




}


